import { defineConfig } from "vite";
import uni from "@dcloudio/vite-plugin-uni";
import { resolve } from 'path'
import AutoImport from 'unplugin-auto-import/vite'
import path from "path";



// https://vitejs.dev/config/
export default defineConfig({
  plugins: [uni(),
    AutoImport({
      imports: ['vue','pinia'], // 自动导入的依赖库数组
      dts: './auto-imports.d.ts', // 自动导入类型定义文件路径
    }),
  ],
  resolve: {
    alias: {
      '@': resolve(__dirname, 'src'),
      '@img': path.resolve(__dirname, 'src/static/images'),
    }
  },
});
